package org.act.ws.manage;

import org.act.xservices.rt.xcontainer.management.IContainerManagement;
import org.act.xservices.rt.xcontainer.management.ManagementUtil;

/**
 * @author chenyy [chenyy@act.buaa.edu.cn]
 * 2008-6-16
 */
public class ContainerInfo {

	private static IContainerManagement containerManagement = ManagementUtil.getInstance().getContainerManagement();
	
	public static String getXContainerVersion(){
		return containerManagement.getXContainerVersion();
	}
		
	public static String getName() {
		return containerManagement.getName();
	}

	public static String getDescription() {
		return containerManagement.getDescription();
	}

	public static String getStartupTime() {
		return containerManagement.getStartupTime();
	}
		
	/**
	 * ߳sleepжϣ̽ز
	 */
	public static void startDeployServiceNow(){
		containerManagement.startDeployServiceNow();
	}
}
